GETENV(3)

NAME
getenv - get an environment variable

SYNOPSIS
#include <stdlib.h>

char *getenv(const char *name);

DESCRIPTION
The getenv() function searches the environment list for a string that matches the string pointed to by name. The strings are of the form name = value.

RETURN VALUE
The getenv() function returns a pointer to the value in the environment, or NULL if there is no match.

CONFORMING TO
SVr4, POSIX.1-2001, 4.3BSD, C89, C99.

SEE ALSO
clearenv(3), putenv(3), setenv(3), unsetenv(3), environ(7)